gi-harfbuzz-0.0.9: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.OtNameEntryT

Contents

- Exported types
- Methods
- Properties
  - language
  - nameId

Description

Structure representing a name ID in a particular language.

Since: 2.1.0

Synopsis

- newtype OtNameEntryT = OtNameEntryT (ManagedPtr OtNameEntryT)
- newZeroOtNameEntryT :: MonadIO m => m OtNameEntryT
- getOtNameEntryTLanguage :: MonadIO m => OtNameEntryT -> m LanguageT
- getOtNameEntryTNameId :: MonadIO m => OtNameEntryT -> m Word32
- setOtNameEntryTNameId :: MonadIO m => OtNameEntryT -> Word32 -> m ()

# Exported types

newtype OtNameEntryT Source #

Memory-managed wrapper type.

Constructors

OtNameEntryT (ManagedPtr OtNameEntryT) |

#### Instances

Instances details

Eq OtNameEntryT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtNameEntryT Methods (==) :: OtNameEntryT -> OtNameEntryT -> Bool Source # (/=) :: OtNameEntryT -> OtNameEntryT -> Bool Source #
BoxedPtr OtNameEntryT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtNameEntryT Methods boxedPtrCopy :: OtNameEntryT -> IO OtNameEntryT Source # boxedPtrFree :: OtNameEntryT -> IO () Source #
CallocPtr OtNameEntryT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtNameEntryT Methods boxedPtrCalloc :: IO (Ptr OtNameEntryT) Source #
ManagedPtrNewtype OtNameEntryT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtNameEntryT Methods toManagedPtr :: OtNameEntryT -> ManagedPtr OtNameEntryT Source #
tag ~ 'AttrSet => Constructible OtNameEntryT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtNameEntryT Methods new :: MonadIO m => (ManagedPtr OtNameEntryT -> OtNameEntryT) -> [AttrOp OtNameEntryT tag] -> m OtNameEntryT Source #

newZeroOtNameEntryT :: MonadIO m => m OtNameEntryT Source #

Construct a `OtNameEntryT` struct initialized to zero.

# Methods

# Properties

## language

language

getOtNameEntryTLanguage :: MonadIO m => OtNameEntryT -> m LanguageT Source #

Get the value of the “`language`” field. When overloading is enabled, this is equivalent to

    get otNameEntryT #language

## nameId

name ID

getOtNameEntryTNameId :: MonadIO m => OtNameEntryT -> m Word32 Source #

Get the value of the “`name_id`” field. When overloading is enabled, this is equivalent to

    get otNameEntryT #nameId

setOtNameEntryTNameId :: MonadIO m => OtNameEntryT -> Word32 -> m () Source #

Set the value of the “`name_id`” field. When overloading is enabled, this is equivalent to

    set otNameEntryT [ #nameId := value ]